Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #182

Find lyrics for sound recognition.
September 28, 2012 01:55 - Taacla Natast

Status: Rejected Start date: September 28, 2012
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 3.2.3

Description
A plugin Find lyrics for sound recognition.

And a feature for be able to search in plugin RyricWiki typing the song name, because depending on how is the file named, has no
way to find the lyric.

History

#1 - September 28, 2012 23:35 - John Lindgren

I don't understand what you are saying. Please ask someone with better English to translate for you. | am sorry that we can't accept bug reports in
your native language, whatever that may be.

#2 - September 29, 2012 00:57 - Taacla Natast
John Lindgren wrote:

| don't understand what you are saying. Please ask someone with better English to translate for you. | am sorry that we can't accept bug reports
in your native language, whatever that may be.

| am sorry for my bad English, I'll try to explain better.

A plugin in Audacious as resources similar to these:

Midomi http://www.midomi.com/objects/midomiLandingVoiceSearch.swf
Audigle http:/www.audiggle.com/

Tunatic http://www.wildbits.com/tunatic/

This link above are exemples.

#3 - September 29, 2012 16:04 - John Lindgren

- Status changed from New to Rejected

Thank you for the examples, | understand what you are asking for now. | do not think an audio fingerprinting feature fits well in a program intended to
be simple and lightweight.
#4 - August 31, 2014 20:09 - Cepren JleHucos

A plugin Find lyrics for sound recognition.

And a feature for be able to search in plugin RyricWiki typing the song name, because depending on how is the file named, has no way to find
the lyric.

[a, 66110 6bl HEMNOXO MHTErpUPOBaTh TO TOT Xe Tunatic (http:/tunatic.ru/) B cuctemy

#5 - September 14, 2017 21:59 - Jack Daniels

John, | can take a look and implement it. Could you please elaborate what plugin APIs | should use to intercept portion of audiostream ? I'd like to

detect songs when I'm listening to streaming radio so opening source audio file is not an option. References to relevant pieces of code at
https://github.com/audacious-media-player/audacious-plugins would be helpful. Thanks!
